      SUBROUTINE SETDAT(IO)
C   ==================================================================
C   ===                                                            ===
C   ===    This subroutine finds time and date and stores in       ===
C   ===                  character variable BUF                    ===
C   ===                                                            ===
C   ===        ATTENTION - non-standard function SYSTEM            ===
C   ===                    iPSC host version                       ===
C   ===                                                            ===
C   ===                     vsg - April, 92                        ===
C   ==================================================================

      CHARACTER*28 BUF

CC-non-standard
      CALL SYSTEM("date > dat.tmp")

      OPEN(15,FILE='dat.tmp',STATUS='OLD')
      REWIND(15)
      READ(15,1000) BUF
      CLOSE(15)

      WRITE(IO,*)'   This run started ',BUF

CC-non-standard
      CALL SYSTEM("rm dat.tmp")

      RETURN

 1000 FORMAT(A28)

      END
